| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
MSG Namespace Reference

Print levels enumeration. More...

## Enumerations
enum | Level { NIL = 0, VERBOSE, DEBUG, INFO, WARNING, ERROR, FATAL, ALWAYS, NUM_LEVELS }
enum | Color { BLACK = 0, RED, GREEN, YELLOW, BLUE, PURPLE, CYAN, WHITE, NUM_COLORS }

## Functions
MsgStream & | dec (MsgStream &log)
MsgStream & | hex (MsgStream &log)

## Detailed Description

Print levels enumeration.

## Enumeration Type Documentation

enum MSG::Color

Enumerator
BLACK |
RED |
GREEN |
YELLOW |
BLUE |
PURPLE |
CYAN |
WHITE |
NUM_COLORS |

Definition at line 26 of file IMessageSvc.h.

26 {
27 BLACK = 0,
28 RED,
29 GREEN,
30 YELLOW,
31 BLUE,
32 PURPLE,
33 CYAN,
34 WHITE,
35 NUM_COLORS
36 };
MSG::CYAN
Definition: IMessageSvc.h:33
MSG::GREEN
Definition: IMessageSvc.h:29
MSG::WHITE
Definition: IMessageSvc.h:34
MSG::RED
Definition: IMessageSvc.h:28
MSG::BLUE
Definition: IMessageSvc.h:31
MSG::NUM_COLORS
Definition: IMessageSvc.h:35
MSG::BLACK
Definition: IMessageSvc.h:27
MSG::PURPLE
Definition: IMessageSvc.h:32
MSG::YELLOW
Definition: IMessageSvc.h:30

enum MSG::Level

Enumerator
NIL |
VERBOSE |
DEBUG |
INFO |
WARNING |
ERROR |
FATAL |
ALWAYS |
NUM_LEVELS |

Definition at line 15 of file IMessageSvc.h.

15 {
16 NIL = 0,
17 VERBOSE,
18 DEBUG,
19 INFO,
20 WARNING,
21 ERROR,
22 FATAL,
23 ALWAYS,
24 NUM_LEVELS
25 };
MSG::DEBUG
Definition: IMessageSvc.h:18
MSG::VERBOSE
Definition: IMessageSvc.h:17
MSG::FATAL
Definition: IMessageSvc.h:22
MSG::NIL
Definition: IMessageSvc.h:16
MSG::NUM_LEVELS
Definition: IMessageSvc.h:24
MSG::ERROR
Definition: IMessageSvc.h:21
MSG::WARNING
Definition: IMessageSvc.h:20
MSG::INFO
Definition: IMessageSvc.h:19
MSG::ALWAYS
Definition: IMessageSvc.h:23

## Function Documentation

MsgStream& MSG::dec | ( | MsgStream & | log | ) |
| inline

Definition at line 327 of file MsgStream.h.

327 {
328 log << std::dec;
329 return log;
330 }
std::dec
T dec(T...args)
Gaudi.Configuration.log
log
Definition: Configuration.py:13

MsgStream& MSG::hex | ( | MsgStream & | log | ) |
| inline

Definition at line 332 of file MsgStream.h.

332 {
333 log << std::hex;
334 return log;
335 }
std::hex
T hex(T...args)
Gaudi.Configuration.log
log
Definition: Configuration.py:13